Subject: Re: Problems with login
From: "chris hannon" <[email-masked]>
To: "Ross Smith" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 3 Nov 2001 05:37:09 -0000

Hi Ross,
Thanks for replying.

I have the same problem with ssh!
what ever user/password I type it says the password is wrong.

I have set CYGWIN=ntsec in the batch file that calls bash/cygwin.

Administrator@ALONZO /
$ sshd -d
debug: sshd version 1.2.26 [i586-pc-cygwin32]
debug: Initializing random number generator; seed file /etc/ssh_random_seed
log: Server listening on port 22.
log: Generating 768 bit RSA key.
Generating p:  ........................++ (distance 350)
Generating q:  ...............++ (distance 332)
Computing the keys...
Testing the keys...
Key generation complete.
log: RSA key generation complete.
debug: Server will not fork when running in debugging mode.
log: Connection from 62.136.129.189 port 1955
debug: Client protocol version 1.5; client software version 1.2.27 Secure
KoalaTerm
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: 3des
debug: Received session key; encryption turned on.
debug: Installing crc compensation attack detector.
debug: Attempting authentication for administrator.
debug: Password authentication for administrator failed.

Thanks
Chris

----- Original Message -----
From: "Ross Smith" <[email-masked]>
To: "Chris Hannon" <[email-masked]>
Sent: Saturday, November 03, 2001 12:34 AM
Subject: RE: Problems with login

> Chris,
>
> I've never gotten 'login' to work.  But sshd works great.
>
> Also, add CYGWIN=ntsec to your system environment.
>
> -Ross
>
> > [mailto:[email-masked]]On Behalf Of Chris Hannon
> >
> > I'm having some problems using login and sshd.
>
>
>
******In reply to:******

Hi,
Can anyone help?
I'm having some problems using login and sshd.

I am connected to a network but not part of a domin (I think - My NT login
does not give me the option to enter a domain).
I have only installed Cygwin a few days ago so I think I'm using 1.3.3.

Whatever password and user name I enter I can't login:

Administrator@ALONZO ~
$ login
login: Administrator
Password:
Login incorrect

I have editied the batch file that starts bash cywin.bat so that
CYGWIN=ntsec

@echo off
set CYGWIN=ntsec
E:
chdir \cygwin\bin
set CYGWIN=netsec
bash --login -i

I have used mkpasswd and mkgroup to make the passwd and group files

Administrator@ALONZO /etc
$ mkpasswd -l -g > passwd
$ mkgroup -l >group

passwd file:
============

Everyone:*:0:0:,S-1-1-0::
SYSTEM:*:18:18:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
Backup Operators:*:551:551:,S-1-5-32-551::
Guests:*:546:546:,S-1-5-32-546::
Power Users:*:547:547:,S-1-5-32-547::
Replicator:*:552:552:,S-1-5-32-552::
Users:*:545:545:,S-1-5-32-545::
Administrator:This_field_is_not_used_by_cygwin_on_nt/2000/xp:500:513:,S-1-5-
21-2004385020-1794000073-1476137813-500:/home/Administrator:/bin/bash
Guest:This_field_is_not_used_by_cygwin_on_nt/2000/xp:501:513:,S-1-5-21-20043
85020-1794000073-1476137813-501:/home/Guest:/bin/bash
hannonc:This_field_is_not_used_by_cygwin_on_nt/2000/xp:1000:513:Chris
Hannon,S-1-5-21-2004385020-1794000073-1476137813-1000:/home/hannonc:/bin/bas
h
VUSR_ALONZO:This_field_is_not_used_by_cygwin_on_nt/2000/xp:1001:513:VSA
Server
Account,S-1-5-21-2004385020-1794000073-1476137813-1001:/home/VUSR_ALONZO:/bi
n/bash

group:
===========

Everyone:S-1-1-0:0:
SYSTEM:S-1-5-18:18:
None:S-1-5-21-2004385020-1794000073-1476137813-513:513:
Administrators:S-1-5-32-544:544:
Backup Operators:S-1-5-32-551:551:
Guests:S-1-5-32-546:546:
Power Users:S-1-5-32-547:547:
Replicator:S-1-5-32-552:552:
Users:S-1-5-32-545:545:

I edited the group part of each user record so that it is not 513:

passwd file v2:
============

Everyone:*:0:0:,S-1-1-0::
SYSTEM:*:18:18:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
Backup Operators:*:551:551:,S-1-5-32-551::
Guests:*:546:546:,S-1-5-32-546::
Power Users:*:547:547:,S-1-5-32-547::
Replicator:*:552:552:,S-1-5-32-552::
Users:*:545:545:,S-1-5-32-545::
Administrator:This_field_is_not_used_by_cygwin_on_nt/2000/xp:500:544:,S-1-5-
21-2004385020-1794000073-1476137813-500:/home/Administrator:/bin/bash
Guest:This_field_is_not_used_by_cygwin_on_nt/2000/xp:501:545:,S-1-5-21-20043
85020-1794000073-1476137813-501:/home/Guest:/bin/bash
hannonc:This_field_is_not_used_by_cygwin_on_nt/2000/xp:1000:545:Chris
Hannon,S-1-5-21-2004385020-1794000073-1476137813-1000:/home/hannonc:/bin/bas
h
VUSR_ALONZO:This_field_is_not_used_by_cygwin_on_nt/2000/xp:1001:545:VSA
Server
Account,S-1-5-21-2004385020-1794000073-1476137813-1001:/home/VUSR_ALONZO:/bi
n/bash

Does anyone know what I've missed?

Thanks,

Chris Hannon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/